PHPアップグレードでWP故障

PHPアップグレードにより開けなくなったWordpressの解消法について記載します。

<環境>
サーバー:OCN法人向け
PHP:5.4→7.2
Wordpress:Lightning

アップグレード後

WordPressを開くと・・・

原因は赤線部分にあります。

プラグインを削除

方法①
PHPを元のグレードに戻してWordpressから削除する。

方法②
サーバーから直接フォルダを削除する
(アプリのFFFTPやサーバー提供のファイルエディタなどを利用)
階層はエラー文を参照。

解消したらWordpressを更新

▼アップグレード完了

バージョンに合ったプラグインを再インストール

削除したのでダッシュボードに案内が出るようです。オーナーサイトから直接ダウンロードも出来るようなので、FTPクライアントから削除した先へアップロードする方法もあります。

▼インストール中画面

インストール完了

他のファイルもアップグレードを

PHPのバージョンが上げるとテーマ本体や他のプラグインもアップデート出来るようになっていますので、各々確認しながら作業して下さい。最新バージョンがまだデバッグされてない可能性もあるので、現行プラグインで不具合が無い場合はバックアップを取ってから実行する事を勧めます。

 

 

その後、発生した不具合はこちらに追記します。

  ASUS 公式オンラインストア「ASUS Store Online」